/**
 * インラインワーカーの作成と管理
 */
/**
 * ワーカーのシングルトンインスタンスを取得
 */
declare function getWorker(): Worker;
/**
 * ワーカーを解放
 */
declare function terminateWorker(): void;
/**
 * ワーカーとの通信ヘルパー
 */
declare class WorkerCommunicator {
    private worker;
    private messageHandlers;
    constructor();
    private handleMessage;
    /**
     * メッセージハンドラーを登録
     */
    on(type: string, handler: (data: any) => void): void;
    /**
     * メッセージハンドラーを解除
     */
    off(type: string): void;
    /**
     * ワーカーにメッセージを送信
     */
    send(type: string, data?: any): void;
    /**
     * 通信を終了
     */
    terminate(): void;
}

export { WorkerCommunicator, getWorker, terminateWorker };
